ReusePositioningObjectBuilder Class

class NXOpen.Tooling.ReusePositioningObjectBuilder

Bases: NXOpen.Builder

Represents a NXOpen.Tooling.ReusePositioningObjectBuilder

Use the NXOpen.Tooling.ReusableObjectManager class to create a ReusePositioningObjectBuilder.

New in version NX11.0.0.

Properties

Property Description
Angle Returns or sets the angle value of pattern
ColumnNumber Returns or sets the column number of pattern
DataFile Returns or sets the imported data file name
DialogOption Returns or sets the dialog option type that is from toolbar or others
Distribution Returns or sets the distribution mode of pattern point
DropObject Returns or sets the drop face required for reattach sketch when using one-pick position method
DynamicCsysOrientation Returns or sets the orientation of dynamic csys
DynamicCsysOrigin Returns or sets the origin of dynamic csys
EditFeatureGroup Returns or sets the feature group created after reuse paste
ImportedSketch Returns or sets the imported sketch
InitialPasteLocation Returns or sets the initial paste location.
Length Returns or sets the length value of pattern
LibraryName Returns or sets the library name that is used for the positioning object
OffsetValue Returns or sets the offset value of pattern
RowNumber Returns or sets the row number of pattern
SketchPoint Returns the part sketch point section
Tag Returns the Tag for this object.
Type Returns or sets the positioning object type that is from pattern or imported data
UseFaceCenterAsLocation Returns or sets an option that indicates whether to use face center as location
UseOnePickPositionMethod Returns or sets the option specifying whether to use one-pick position method for drag/drop
Width Returns or sets the width value of pattern

Methods

Method Description
AddPoint Create a point, then add it to sketch @return point tag
AddPoints Adds points to sketch
Commit Commits any edits that have been applied to the builder.
CreatePointInSketch Creates point pattern in sketch
CreateSketch Creates new sketch on drop face and location
DeletePoint Delete point from sketch
Destroy Deletes the builder, and cleans up any objects created by the builder.
EditPoint Edits point from sketch
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeatureSetAttributes Gets attributes from feature set @return
GetNonStandardPoints Gets the point coordinates @return
GetObject Returns the object currently being edited by this builder.
GetSketchFromFeatureSet Gets sketch tag from feature set
LoadPart Imports given part file to current work part
RepositionBody Moves the body to the selected point and orientation
SetNonStandardPoints Set the point coordinates
SetPointsInSketch Sets points in sketch
SetSketchActive Sets the sketch to be active
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

Angle

ReusePositioningObjectBuilder.Angle

Returns or sets the angle value of pattern

-------------------------------------

Getter Method

Signature Angle()

Returns:
Return type:str

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Angle(angle)

Parameters:angle (str) –

New in version NX11.0.0.

License requirements: None.

ColumnNumber

ReusePositioningObjectBuilder.ColumnNumber

Returns or sets the column number of pattern

-------------------------------------

Getter Method

Signature ColumnNumber()

Returns:
Return type:str

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ColumnNumber(columnNumber)

Parameters:columnNumber (str) –

New in version NX11.0.0.

License requirements: None.

DataFile

ReusePositioningObjectBuilder.DataFile

Returns or sets the imported data file name

-------------------------------------

Getter Method

Signature DataFile()

Returns:Data file name
Return type:str

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DataFile(dataFileName)

Parameters:dataFileName (str) – Data file name

New in version NX11.0.0.

License requirements: None.

DialogOption

ReusePositioningObjectBuilder.DialogOption

Returns or sets the dialog option type that is from toolbar or others

-------------------------------------

Getter Method

Signature DialogOption()

Returns:
Return type:NXOpen.Tooling.ReusePositioningObjectBuilderDialogOptions

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DialogOption(options)

Parameters:options (NXOpen.Tooling.ReusePositioningObjectBuilderDialogOptions) –

New in version NX11.0.0.

License requirements: None.

Distribution

ReusePositioningObjectBuilder.Distribution

Returns or sets the distribution mode of pattern point

-------------------------------------

Getter Method

Signature Distribution()

Returns:
Return type:bool

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Distribution(isSymmetrical)

Parameters:isSymmetrical (bool) –

New in version NX11.0.0.

License requirements: None.

DropObject

ReusePositioningObjectBuilder.DropObject

Returns or sets the drop face required for reattach sketch when using one-pick position method

-------------------------------------

Getter Method

Signature DropObject()

Returns:Drop face or point
Return type:NXOpen.NXObject

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DropObject(face)

Parameters:face (NXOpen.NXObject) – Drop face or point

New in version NX11.0.0.

License requirements: None.

DynamicCsysOrientation

ReusePositioningObjectBuilder.DynamicCsysOrientation

Returns or sets the orientation of dynamic csys

-------------------------------------

Getter Method

Signature DynamicCsysOrientation()

Returns:Orientation of dynamic csys
Return type:NXOpen.Matrix3x3

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DynamicCsysOrientation(orientation)

Parameters:orientation (NXOpen.Matrix3x3) – Orientation of dynamic csys

New in version NX11.0.0.

License requirements: None.

DynamicCsysOrigin

ReusePositioningObjectBuilder.DynamicCsysOrigin

Returns or sets the origin of dynamic csys

-------------------------------------

Getter Method

Signature DynamicCsysOrigin()

Returns:Origin of dynamic csys
Return type:NXOpen.Point3d

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature DynamicCsysOrigin(origin)

Parameters:origin (NXOpen.Point3d) – Origin of dynamic csys

New in version NX11.0.0.

License requirements: None.

EditFeatureGroup

ReusePositioningObjectBuilder.EditFeatureGroup

Returns or sets the feature group created after reuse paste

-------------------------------------

Getter Method

Signature EditFeatureGroup()

Returns:Repositioning feature group
Return type:NXOpen.Features.Feature

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature EditFeatureGroup(featureGroup)

Parameters:featureGroup (NXOpen.Features.Feature) – Repositioning feature group

New in version NX11.0.0.

License requirements: None.

ImportedSketch

ReusePositioningObjectBuilder.ImportedSketch

Returns or sets the imported sketch

-------------------------------------

Getter Method

Signature ImportedSketch()

Returns:Imported sketch
Return type:NXOpen.Sketch

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ImportedSketch(sketch)

Parameters:sketch (NXOpen.Sketch) – Imported sketch

New in version NX11.0.0.

License requirements: None.

InitialPasteLocation

ReusePositioningObjectBuilder.InitialPasteLocation

Returns or sets the initial paste location.

This is mainly used to define default paste location of sketch objects

-------------------------------------

Getter Method

Signature InitialPasteLocation()

Returns:The drop location coordinates in absolute
Return type:NXOpen.Point3d

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature InitialPasteLocation(dropLocation)

Parameters:dropLocation (NXOpen.Point3d) – The drop location coordinates in absolute

New in version NX11.0.0.

License requirements: None.

Length

ReusePositioningObjectBuilder.Length

Returns or sets the length value of pattern

-------------------------------------

Getter Method

Signature Length()

Returns:
Return type:str

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Length(length)

Parameters:length (str) –

New in version NX11.0.0.

License requirements: None.

LibraryName

ReusePositioningObjectBuilder.LibraryName

Returns or sets the library name that is used for the positioning object

-------------------------------------

Getter Method

Signature LibraryName()

Returns:Library name
Return type:str

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature LibraryName(libraryName)

Parameters:libraryName (str) – Library name

New in version NX11.0.0.

License requirements: None.

OffsetValue

ReusePositioningObjectBuilder.OffsetValue

Returns or sets the offset value of pattern

-------------------------------------

Getter Method

Signature OffsetValue()

Returns:
Return type:str

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature OffsetValue(offsetValue)

Parameters:offsetValue (str) –

New in version NX11.0.0.

License requirements: None.

RowNumber

ReusePositioningObjectBuilder.RowNumber

Returns or sets the row number of pattern

-------------------------------------

Getter Method

Signature RowNumber()

Returns:
Return type:str

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature RowNumber(rowNumber)

Parameters:rowNumber (str) –

New in version NX11.0.0.

License requirements: None.

SketchPoint

ReusePositioningObjectBuilder.SketchPoint

Returns the part sketch point section

-------------------------------------

Getter Method

Signature SketchPoint()

Returns:
Return type:NXOpen.Section

New in version NX11.0.0.

License requirements: None.

Type

ReusePositioningObjectBuilder.Type

Returns or sets the positioning object type that is from pattern or imported data

-------------------------------------

Getter Method

Signature Type()

Returns:
Return type:NXOpen.Tooling.ReusePositioningObjectBuilderTypes

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Type(type)

Parameters:type (NXOpen.Tooling.ReusePositioningObjectBuilderTypes) –

New in version NX11.0.0.

License requirements: None.

UseFaceCenterAsLocation

ReusePositioningObjectBuilder.UseFaceCenterAsLocation

Returns or sets an option that indicates whether to use face center as location

-------------------------------------

Getter Method

Signature UseFaceCenterAsLocation()

Returns:Flag indicating whether to use face center or not
Return type:bool

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature UseFaceCenterAsLocation(useFaceCenter)

Parameters:useFaceCenter (bool) – Flag indicating whether to use face center or not

New in version NX11.0.0.

License requirements: None.

UseOnePickPositionMethod

ReusePositioningObjectBuilder.UseOnePickPositionMethod

Returns or sets the option specifying whether to use one-pick position method for drag/drop

-------------------------------------

Getter Method

Signature UseOnePickPositionMethod()

Returns:Flag indicating whether to use one pick position method or not
Return type:bool

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature UseOnePickPositionMethod(useOnePickPositionMethod)

Parameters:useOnePickPositionMethod (bool) – Flag indicating whether to use one pick position method or not

New in version NX11.0.0.

License requirements: None.

Width

ReusePositioningObjectBuilder.Width

Returns or sets the width value of pattern

-------------------------------------

Getter Method

Signature Width()

Returns:
Return type:str

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Width(width)

Parameters:width (str) –

New in version NX11.0.0.

License requirements: None.

Method Detail

AddPoint

ReusePositioningObjectBuilder.AddPoint

Create a point, then add it to sketch

Signature AddPoint(pointCoords)

Parameters:pointCoords (NXOpen.Point3d) – point coordinates
Returns:point tag
Return type:NXOpen.Point

New in version NX11.0.0.

License requirements: None.

AddPoints

ReusePositioningObjectBuilder.AddPoints

Adds points to sketch

Signature AddPoints()

New in version NX11.0.0.

License requirements: None.

CreatePointInSketch

ReusePositioningObjectBuilder.CreatePointInSketch

Creates point pattern in sketch

Signature CreatePointInSketch()

New in version NX11.0.0.

License requirements: None.

CreateSketch

ReusePositioningObjectBuilder.CreateSketch

Creates new sketch on drop face and location

Signature CreateSketch(dropFace, position)

Parameters:

New in version NX11.0.0.

License requirements: None.

DeletePoint

ReusePositioningObjectBuilder.DeletePoint

Delete point from sketch

Signature DeletePoint(point)

Parameters:point (NXOpen.Point) – tag of delete point

New in version NX11.0.0.

License requirements: None.

EditPoint

ReusePositioningObjectBuilder.EditPoint

Overloaded method EditPoint

  • EditPoint(point, value, isXValue)
  • EditPoint(point, xvalue, yvalue)

-------------------------------------

Edits point from sketch

Signature EditPoint(point, value, isXValue)

Parameters:
  • point (NXOpen.Point) – tag of delete point
  • value (float) – value point coordinates
  • isXValue (bool) – is the value x or y coordinate

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Edits point from sketch

Signature EditPoint(point, xvalue, yvalue)

Parameters:
  • point (NXOpen.Point) – tag of delete point
  • xvalue (float) – value point x coordinates
  • yvalue (float) – value point y coordinates

New in version NX11.0.0.

License requirements: None.

-------------------------------------

GetFeatureSetAttributes

ReusePositioningObjectBuilder.GetFeatureSetAttributes

Gets attributes from feature set

Signature GetFeatureSetAttributes()

Returns:
Return type:bool

New in version NX11.0.0.

License requirements: None.

GetNonStandardPoints

ReusePositioningObjectBuilder.GetNonStandardPoints

Gets the point coordinates

Signature GetNonStandardPoints()

Returns:a tuple
Return type:A tuple consisting of (isAbsolute, points). isAbsolute is a bool. points is a list of NXOpen.Point3d.

New in version NX11.0.0.

License requirements: None.

GetSketchFromFeatureSet

ReusePositioningObjectBuilder.GetSketchFromFeatureSet

Gets sketch tag from feature set

Signature GetSketchFromFeatureSet()

New in version NX11.0.0.

License requirements: None.

LoadPart

ReusePositioningObjectBuilder.LoadPart

Imports given part file to current work part

Signature LoadPart(partFileName)

Parameters:partFileName (str) – Part file name without path

New in version NX11.0.0.

License requirements: None.

RepositionBody

ReusePositioningObjectBuilder.RepositionBody

Moves the body to the selected point and orientation

Signature RepositionBody(target, orient, twoPickPositionMode, onlyMovePoints)

Parameters:
  • target (NXOpen.Point3d) – Destination point
  • orient (NXOpen.Matrix3x3) – Orientation
  • twoPickPositionMode (bool) – Flag specifying whether to reposition the body based on active sketch plane when using two pick position method to drop the body. If True, reposition the body, else, do nothing.
  • onlyMovePoints (bool) – Flag specifying whether to move the whole sketch or just the sketch points. If True, reposition the sketch points, else, reposition the whole sketch.

New in version NX11.0.0.

License requirements: None.

SetNonStandardPoints

ReusePositioningObjectBuilder.SetNonStandardPoints

Set the point coordinates

Signature SetNonStandardPoints(points, isAbsolute)

Parameters:
  • points (list of NXOpen.Point3d) –
  • isAbsolute (bool) – Flag indicating whether the points is absolute or not

New in version NX11.0.0.

License requirements: None.

SetPointsInSketch

ReusePositioningObjectBuilder.SetPointsInSketch

Sets points in sketch

Signature SetPointsInSketch()

New in version NX11.0.0.

License requirements: None.

SetSketchActive

ReusePositioningObjectBuilder.SetSketchActive

Sets the sketch to be active

Signature SetSketchActive(sketch)

Parameters:sketch (NXOpen.Sketch) –

New in version NX11.0.0.

License requirements: None.

Validate

ReusePositioningObjectBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.